Joomla! Ends Support For 2.5

At the turn of the year, Joomla! ended its support for its CMS version 2.5 or lower with immediate effect. All supported websites will now need to make the shift from the old version to the 3.3 version, this also means new projects will be starting with the latest version. (for more information please see Joomla version life cycle https://docs.joomla.org/Joomla!_CMS_versions).

Existing websites will fall into security risks and without any support may well be rendered useless in the coming weeks. So switch to the latest Joomla! version today.

Technology changes have also been made within the versions of PHP and MySQL running on hosts server.

These framework changes force all content management system (CMS) technology to change with it.

When a CMS changes its structure, a migration is required. Staying on the old version creates potential problems with security as update patches will now be discontinued as the systems is no longer maintained or supported.

If you’re on version 2.5.x then now is the perfect time to upgrade and move to the latest version of Joomla 3.3.6 (time of writing). Or if you’re planning to start a new Joomla site, we recommend choosing Joomla 3 – it’s stable and a lot more compatible with the latest browsers.

Joomla-Final